MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026372Community[OCCT] OCCT:Meshpublic2015-06-24 13:032016-12-09 16:38
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0026372: Meshing of surface of revolution fails in debug mode
DescriptionFor the appended shape, the meshing fails in debug mode in OCCT 6.8.0. In release mode it works.
Steps To Reproducerestore RP.brep. r
trinfo r
incmesh r 0.1
=> In Debug mode results in "Meshing statuses: Failure"
TagsNo tags attached.
Test case numberbugs mesh bug26372
Attached Files? file icon RP.brep (46,227 bytes) 2015-06-24 13:03

- Relationships

-  Notes
(0052306)
oan (developer)
2016-04-01 18:58

Dear Andrey,

problem is not reproduced on current master neither in Debug nor in Release mode. I suggest closing this issue.
(0055402)
abv (manager)
2016-06-24 06:55

I propose we add a test case and then close the issue
(0055717)
git (administrator)
2016-07-06 13:52

Branch CR26372 has been created by apn.

SHA-1: 7aa71456a8d145c173782e193649816fc79781c8


Detailed log of new commits:

Author: apn
Date: Wed Jul 6 13:52:46 2016 +0300

    0026372: Meshing of surface of revolution fails in debug mode
    
    Added test case bugs/mesh/bug26372
(0055718)
apn (administrator)
2016-07-06 13:54
edited on: 2016-07-06 13:54

Test case:
bugs mesh bug26372 - OK
Optimize:
http://occt-tests/bug26372_Lin_opt/bugs/mesh/bug26372.html [^]
http://occt-tests/bug26372_Wnt_opt/bugs/mesh/bug26372.html [^]
Debug:
http://occt-tests/bug26372_Lin_deb/bugs/mesh/bug26372.html [^]
http://occt-tests/bug26372_Wnt_deb/bugs/mesh/bug26372.html [^]

(0056120)
git (administrator)
2016-07-22 10:44

Branch CR26372 has been deleted by inv.

SHA-1: 7aa71456a8d145c173782e193649816fc79781c8

- Related Changesets
occt: master fbad941b
Timestamp: 2016-07-06 10:52:46
Author: apn
Committer: bugmaster
Details ] Diff ]
0026372: Meshing of surface of revolution fails in debug mode

Added test case bugs/mesh/bug26372
add - tests/bugs/mesh/bug26372 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-24 13:03 Timo New Issue
2015-06-24 13:03 Timo Assigned To => oan
2015-06-24 13:03 Timo File Added: RP.brep
2015-12-18 11:50 abv Target Version 7.0.0 => 7.1.0
2016-04-01 18:58 oan Note Added: 0052306
2016-04-01 18:58 oan Assigned To oan => abv
2016-04-01 18:58 oan Status new => feedback
2016-06-24 06:55 abv Assigned To abv => bugmaster
2016-06-24 06:55 abv Note Added: 0055402
2016-06-27 10:18 bugmaster Assigned To bugmaster => apn
2016-07-06 13:52 git Note Added: 0055717
2016-07-06 13:54 apn Note Added: 0055718
2016-07-06 13:54 apn Note Edited: 0055718 View Revisions
2016-07-06 13:56 apn Test case number => bugs mesh bug26372
2016-07-06 13:56 apn Assigned To apn => bugmaster
2016-07-06 13:56 apn Status feedback => tested
2016-07-08 11:57 bugmaster Changeset attached => occt master fbad941b
2016-07-08 11:57 bugmaster Status tested => verified
2016-07-08 11:57 bugmaster Resolution open => fixed
2016-07-22 10:44 git Note Added: 0056120
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker